CREATE TABLE programs
(
    id       INTEGER PRIMARY KEY,
    name     TEXT    NOT NULL,
    enabled  BOOLEAN NOT NULL,
    schedule TEXT    NOT NULL
);

CREATE TABLE program_sequence_items
(
    seq_num    INTEGER NOT NULL,
    program_id INTEGER NOT NULL,
    section_id INTEGER NOT NULL,
    duration   REAL    NOT NULL,
    FOREIGN KEY (program_id) REFERENCES programs (id),
    FOREIGN KEY (section_id) REFERENCES sections (id)
);

CREATE UNIQUE INDEX program_sequence_items_idx1
    ON program_sequence_items (program_id, seq_num);